summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMartin Väth <martin@mvath.de>2020-07-19 18:14:27 +0200
committerMartin Väth <martin@mvath.de>2020-07-19 18:14:27 +0200
commit362729383cd6c5f02a7b0b3ef9234bc82c29af87 (patch)
tree1ea9d02b40120f022a26ac2b980d3fe507db43ff
parentapp-text/podofo: Version bump (diff)
downloadmv-362729383cd6c5f02a7b0b3ef9234bc82c29af87.tar.gz
mv-362729383cd6c5f02a7b0b3ef9234bc82c29af87.tar.bz2
mv-362729383cd6c5f02a7b0b3ef9234bc82c29af87.zip
Add pacakges temporarily for python:3.8 support. Remove dev-lang/python:3.7
Signed-off-by: Martin Väth <martin@mvath.de>
-rw-r--r--app-misc/resolve-march-native/Manifest1
-rw-r--r--app-misc/resolve-march-native/metadata.xml11
-rw-r--r--app-misc/resolve-march-native/resolve-march-native-0.9.4.ebuild19
-rw-r--r--app-mobilephone/adb-sync/Manifest1
-rw-r--r--app-mobilephone/adb-sync/adb-sync-0_p20181127-r1.ebuild33
-rw-r--r--app-mobilephone/adb-sync/metadata.xml15
-rw-r--r--dev-lang/python/Manifest2
-rw-r--r--dev-lang/python/files/curses_tinfo.patch13
-rw-r--r--dev-lang/python/files/pydoc.conf6
-rw-r--r--dev-lang/python/files/pydoc.init24
-rw-r--r--dev-lang/python/files/test.support.unlink-ignore-PermissionError.patch28
-rw-r--r--dev-lang/python/python-3.7.8-r1.ebuild345
-rw-r--r--metadata/pkg_desc_index4
-rw-r--r--net-dns/host/host-20070128-r1.ebuild4
-rw-r--r--profiles/use.local.desc2
-rw-r--r--x11-misc/redshift/Manifest1
-rw-r--r--x11-misc/redshift/metadata.xml17
-rw-r--r--x11-misc/redshift/redshift-1.12-r3.ebuild88
18 files changed, 193 insertions, 421 deletions
diff --git a/app-misc/resolve-march-native/Manifest b/app-misc/resolve-march-native/Manifest
new file mode 100644
index 00000000..fa66997e
--- /dev/null
+++ b/app-misc/resolve-march-native/Manifest
@@ -0,0 +1 @@
+DIST resolve-march-native-0.9.4.tar.gz 7829 SHA512 b73e34c9f957dd3f8941b7db25af88b32cc1f67e4384c97034a310b98e6f6e6645a583ec567f8b1547bea41e072fcc20189017930a172781061d741839c5a9b2
diff --git a/app-misc/resolve-march-native/metadata.xml b/app-misc/resolve-march-native/metadata.xml
new file mode 100644
index 00000000..2d6024f3
--- /dev/null
+++ b/app-misc/resolve-march-native/metadata.xml
@@ -0,0 +1,11 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer type="person">
+ <email>sping@gentoo.org</email>
+ <name>Sebastian Pipping</name>
+ </maintainer>
+ <upstream>
+ <remote-id type="github">hartwork/resolve-march-native</remote-id>
+ </upstream>
+</pkgmetadata>
diff --git a/app-misc/resolve-march-native/resolve-march-native-0.9.4.ebuild b/app-misc/resolve-march-native/resolve-march-native-0.9.4.ebuild
new file mode 100644
index 00000000..86ff1f12
--- /dev/null
+++ b/app-misc/resolve-march-native/resolve-march-native-0.9.4.ebuild
@@ -0,0 +1,19 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{6,7,8,9} )
+inherit distutils-r1
+
+DESCRIPTION="Resolve GCC flag -march=native"
+HOMEPAGE="https://github.com/hartwork/resolve-march-native"
+SRC_URI="https://github.com/hartwork/${PN}/archive/${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="GPL-2+"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE=""
+
+DEPEND="dev-python/setuptools[${PYTHON_USEDEP}]"
+RDEPEND=">=sys-devel/gcc-4.2"
diff --git a/app-mobilephone/adb-sync/Manifest b/app-mobilephone/adb-sync/Manifest
new file mode 100644
index 00000000..88d532a9
--- /dev/null
+++ b/app-mobilephone/adb-sync/Manifest
@@ -0,0 +1 @@
+DIST adb-sync-0_p20181127.tar.gz 13952 BLAKE2B b9097f44eebd76e54cee41f097933f85151399e99275268274252b53f47ab241ecb888f3631dd9f657213160f02e9f3638d782fb24de8e38631d0e2a81b6b03e SHA512 007b9ec089170f3e679a26f23952043ad922a2f988532183200ddd15792858d4d38c6dbd617b32ff0e17d01b37b246c173e4a3f8c008f7cf4bca551e64cd0ca3
diff --git a/app-mobilephone/adb-sync/adb-sync-0_p20181127-r1.ebuild b/app-mobilephone/adb-sync/adb-sync-0_p20181127-r1.ebuild
new file mode 100644
index 00000000..d516f801
--- /dev/null
+++ b/app-mobilephone/adb-sync/adb-sync-0_p20181127-r1.ebuild
@@ -0,0 +1,33 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+PYTHON_COMPAT=( python3_{6,7,8,9} )
+
+inherit python-single-r1
+
+COMMIT=b0a2a10
+
+DESCRIPTION="Synchronize files between a PC and an Android device using ADB"
+HOMEPAGE="https://github.com/google/adb-sync"
+SRC_URI="https://github.com/google/adb-sync/tarball/${COMMIT} -> ${P}.tar.gz"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64"
+IUSE="+channel"
+REQUIRED_USE=${PYTHON_REQUIRED_USE}
+
+RDEPEND="${PYTHON_DEPS}
+ dev-util/android-tools
+ channel? ( net-misc/socat )"
+DEPEND=""
+BDEPEND=${PYTHON_DEPS}
+
+S="${WORKDIR}/google-adb-sync-${COMMIT}"
+
+src_install() {
+ dodoc README.md
+ python_doscript adb-sync
+ use channel && dobin adb-channel
+}
diff --git a/app-mobilephone/adb-sync/metadata.xml b/app-mobilephone/adb-sync/metadata.xml
new file mode 100644
index 00000000..92ad7c2c
--- /dev/null
+++ b/app-mobilephone/adb-sync/metadata.xml
@@ -0,0 +1,15 @@
+<?xml version='1.0' encoding='UTF-8'?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer type="person">
+ <name>Denis Dupeyron</name>
+ <email>calchan@gentoo.org</email>
+ </maintainer>
+ <upstream>
+ <bugs-to>https://github.com/google/adb-sync/issues</bugs-to>
+ <remote-id type="github">google/adb-sync</remote-id>
+ </upstream>
+ <use>
+ <flag name="channel">Install the adb-channel script</flag>
+ </use>
+</pkgmetadata>
diff --git a/dev-lang/python/Manifest b/dev-lang/python/Manifest
deleted file mode 100644
index a8407e25..00000000
--- a/dev-lang/python/Manifest
+++ /dev/null
@@ -1,2 +0,0 @@
-DIST Python-3.7.8.tar.xz 17399552 SHA512 d2ba299e3cf8ed0f8fed9317f42bcd8d9af7e0e6175939b4be1be289c1658418bed17899e2608d762ffb15575021956cf6bf2054d7863c04b3bd7642f5b8c7ea
-DIST python-gentoo-patches-3.7.8-r1.tar.xz 11344 SHA512 4c2e1fa550b2a27f5cd716299a8bc16dbad982d26c0597a212525aa4735c9eb9302151bca69e115dd34c33cb9c2cc18e1d19169b63d9dca7343ff2723eda8dfe
diff --git a/dev-lang/python/files/curses_tinfo.patch b/dev-lang/python/files/curses_tinfo.patch
deleted file mode 100644
index 6048f8cf..00000000
--- a/dev-lang/python/files/curses_tinfo.patch
+++ /dev/null
@@ -1,13 +0,0 @@
-# https://bugs.gentoo.org/457530
-# https://bugs.gentoo.org/692128
---- 1/setup.py
-+++ 1/setup.py
-@@ -1396,7 +1396,7 @@
- curses_defines.append(('_XOPEN_SOURCE_EXTENDED', '1'))
-
- if curses_library.startswith('ncurses'):
-- curses_libs = [curses_library]
-+ curses_libs = [curses_library, 'tinfo']
- exts.append( Extension('_curses', ['_cursesmodule.c'],
- include_dirs=curses_includes,
- define_macros=curses_defines,
diff --git a/dev-lang/python/files/pydoc.conf b/dev-lang/python/files/pydoc.conf
deleted file mode 100644
index 3c6920cc..00000000
--- a/dev-lang/python/files/pydoc.conf
+++ /dev/null
@@ -1,6 +0,0 @@
-# /etc/init.d/pydoc.conf
-
-# This file contains the configuration for pydoc's internal webserver.
-
-# Default port for Python's pydoc server.
-@PYDOC_PORT_VARIABLE@="7464"
diff --git a/dev-lang/python/files/pydoc.init b/dev-lang/python/files/pydoc.init
deleted file mode 100644
index f8e05636..00000000
--- a/dev-lang/python/files/pydoc.init
+++ /dev/null
@@ -1,24 +0,0 @@
-#!/sbin/openrc-run
-# Copyright 1999-2016 Gentoo Foundation
-# Distributed under the terms of the GNU General Public Licence v2
-
-start() {
- local pydoc_port="${@PYDOC_PORT_VARIABLE@-${PYDOC_PORT}}"
-
- if [ -z "${pydoc_port}" ]; then
- eerror "Port not set"
- return 1
- fi
-
- ebegin "Starting pydoc server on port ${pydoc_port}"
- start-stop-daemon --start --background --make-pidfile \
- --pidfile /var/run/@PYDOC@.pid \
- --exec /usr/bin/@PYDOC@ -- -p "${pydoc_port}"
- eend $?
-}
-
-stop() {
- ebegin "Stopping pydoc server"
- start-stop-daemon --stop --quiet --pidfile /var/run/@PYDOC@.pid
- eend $?
-}
diff --git a/dev-lang/python/files/test.support.unlink-ignore-PermissionError.patch b/dev-lang/python/files/test.support.unlink-ignore-PermissionError.patch
deleted file mode 100644
index 6cae17b5..00000000
--- a/dev-lang/python/files/test.support.unlink-ignore-PermissionError.patch
+++ /dev/null
@@ -1,28 +0,0 @@
-From 6e6402caa7962a9c9f7c5327f3c802545824f7f9 Mon Sep 17 00:00:00 2001
-From: Mike Gilbert <floppym@gentoo.org>
-Date: Fri, 3 Apr 2020 10:37:56 -0400
-Subject: [PATCH] test.support.unlink: ignore PermissionError
-
-Resolves test errors when running in the Gentoo sandbox environment.
-
-Bug: https://bugs.gentoo.org/679628
----
- Lib/test/support/__init__.py | 2 +-
- 1 file changed, 1 insertion(+), 1 deletion(-)
-
-diff --git a/Lib/test/support/__init__.py b/Lib/test/support/__init__.py
-index 1f792d8514d..a0772480eb4 100644
---- a/Lib/test/support/__init__.py
-+++ b/Lib/test/support/__init__.py
-@@ -488,7 +488,7 @@ else:
- def unlink(filename):
- try:
- _unlink(filename)
-- except (FileNotFoundError, NotADirectoryError):
-+ except (FileNotFoundError, NotADirectoryError, PermissionError):
- pass
-
- def rmdir(dirname):
---
-2.26.0
-
diff --git a/dev-lang/python/python-3.7.8-r1.ebuild b/dev-lang/python/python-3.7.8-r1.ebuild
deleted file mode 100644
index 35bd916d..00000000
--- a/dev-lang/python/python-3.7.8-r1.ebuild
+++ /dev/null
@@ -1,345 +0,0 @@
-# Copyright 1999-2020 Gentoo Authors and Martin V\"ath
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI="7"
-WANT_LIBTOOL="none"
-
-inherit autotools flag-o-matic pax-utils python-utils-r1 toolchain-funcs
-
-MY_P="Python-${PV}"
-PYVER=$(ver_cut 1-2)
-PATCHSET="python-gentoo-patches-3.7.8-r1"
-
-DESCRIPTION="An interpreted, interactive, object-oriented programming language"
-HOMEPAGE="https://www.python.org/"
-SRC_URI="https://www.python.org/ftp/python/${PV}/${MY_P}.tar.xz
- https://dev.gentoo.org/~mgorny/dist/python/${PATCHSET}.tar.xz"
-S="${WORKDIR}/${MY_P}"
-
-LICENSE="PSF-2"
-SLOT="${PYVER}/${PYVER}m"
-KEYWORDS="~alpha amd64 arm arm64 hppa ~ia64 ~m68k ~mips ppc ppc64 ~riscv ~s390 sparc ~x86"
-IUSE="bluetooth build examples gdbm hardened ipv6 libressl +ncurses +readline sqlite +ssl test tinfo tk wininst +xml"
-RESTRICT="!test? ( test )"
-
-# Do not add a dependency on dev-lang/python to this ebuild.
-# If you need to apply a patch which requires python for bootstrapping, please
-# run the bootstrap code on your dev box and include the results in the
-# patchset. See bug 447752.
-
-RDEPEND="app-arch/bzip2:=
- app-arch/xz-utils:=
- dev-libs/libffi:=
- sys-apps/util-linux:=
- >=sys-libs/zlib-1.1.3:=
- virtual/libcrypt:=
- virtual/libintl
- gdbm? ( sys-libs/gdbm:=[berkdb] )
- ncurses? ( >=sys-libs/ncurses-5.2:=[tinfo?] )
- readline? ( >=sys-libs/readline-4.1:= )
- sqlite? ( >=dev-db/sqlite-3.3.8:3= )
- ssl? (
- !libressl? ( dev-libs/openssl:= )
- libressl? ( dev-libs/libressl:= )
- )
- tk? (
- >=dev-lang/tcl-8.0:=
- >=dev-lang/tk-8.0:=
- dev-tcltk/blt:=
- dev-tcltk/tix
- )
- xml? ( >=dev-libs/expat-2.1:= )"
-# bluetooth requires headers from bluez
-DEPEND="${RDEPEND}
- bluetooth? ( net-wireless/bluez )
- test? ( app-arch/xz-utils[extra-filters(+)] )
- virtual/pkgconfig
- !sys-devel/gcc[libffi(-)]"
-RDEPEND+=" !build? ( app-misc/mime-types )"
-PDEPEND=">=app-eselect/eselect-python-20140125-r1"
-
-src_prepare() {
- # Ensure that internal copies of expat, libffi and zlib are not used.
- rm -fr Modules/expat || die
- rm -fr Modules/_ctypes/libffi* || die
- rm -fr Modules/zlib || die
-
- local PATCHES=(
- "${WORKDIR}/${PATCHSET}"
- )
-
- ! use tinfo || PATCHES+=("${FILESDIR}/curses_tinfo.patch")
-
- default
-
- sed -i -e "s:@@GENTOO_LIBDIR@@:$(get_libdir):g" \
- setup.py || die "sed failed to replace @@GENTOO_LIBDIR@@"
-
- eautoreconf
-}
-
-src_configure() {
- local disable
- # disable automagic bluetooth headers detection
- use bluetooth || export ac_cv_header_bluetooth_bluetooth_h=no
- use gdbm || disable+=" gdbm"
- use ncurses || disable+=" _curses _curses_panel"
- use readline || disable+=" readline"
- use sqlite || disable+=" _sqlite3"
- use ssl || export PYTHON_DISABLE_SSL="1"
- use tk || disable+=" _tkinter"
- use xml || disable+=" _elementtree pyexpat" # _elementtree uses pyexpat.
- export PYTHON_DISABLE_MODULES="${disable}"
-
- if ! use xml; then
- ewarn "You have configured Python without XML support."
- ewarn "This is NOT a recommended configuration as you"
- ewarn "may face problems parsing any XML documents."
- fi
-
- if [[ -n "${PYTHON_DISABLE_MODULES}" ]]; then
- einfo "Disabled modules: ${PYTHON_DISABLE_MODULES}"
- fi
-
- if [[ "$(gcc-major-version)" -ge 4 ]]; then
- append-flags -fwrapv
- fi
-
- filter-flags -malign-double
-
- # https://bugs.gentoo.org/show_bug.cgi?id=50309
- if is-flagq -O3; then
- is-flagq -fstack-protector-all && replace-flags -O3 -O2
- use hardened && replace-flags -O3 -O2
- fi
-
- # Export CXX so it ends up in /usr/lib/python3.X/config/Makefile.
- tc-export CXX
-
- # Set LDFLAGS so we link modules with -lpython3.2 correctly.
- # Needed on FreeBSD unless Python 3.2 is already installed.
- # Please query BSD team before removing this!
- append-ldflags "-L."
-
- # Fix implicit declarations on cross and prefix builds. Bug #674070.
- use ncurses && append-cppflags -I"${ESYSROOT}"/usr/include/ncursesw
-
- local dbmliborder
- if use gdbm; then
- dbmliborder+="${dbmliborder:+:}gdbm"
- fi
-
- local myeconfargs=(
- # glibc-2.30 removes it; since we can't cleanly force-rebuild
- # Python on glibc upgrade, remove it proactively to give
- # a chance for users rebuilding python before glibc
- ac_cv_header_stropts_h=no
-
- --enable-shared
- $(use_enable ipv6)
- --infodir='${prefix}/share/info'
- --mandir='${prefix}/share/man'
- --with-computed-gotos
- --with-dbmliborder="${dbmliborder}"
- --with-libc=
- --enable-loadable-sqlite-extensions
- --without-ensurepip
- --with-system-expat
- --with-system-ffi
- )
-
- OPT="" econf "${myeconfargs[@]}"
-}
-
-src_compile() {
- # Ensure sed works as expected
- # https://bugs.gentoo.org/594768
- local -x LC_ALL=C
-
- emake CPPFLAGS= CFLAGS= LDFLAGS=
-
- # Work around bug 329499. See also bug 413751 and 457194.
- if has_version dev-libs/libffi[pax_kernel]; then
- pax-mark E python
- else
- pax-mark m python
- fi
-}
-
-src_test() {
- # Tests will not work when cross compiling.
- if tc-is-cross-compiler; then
- elog "Disabling tests due to crosscompiling."
- return
- fi
-
- # Skip failing tests.
- local skipped_tests="gdb"
-
- for test in ${skipped_tests}; do
- mv "${S}"/Lib/test/test_${test}.py "${T}"
- done
-
- # bug 660358
- local -x COLUMNS=80
-
- local -x PYTHONDONTWRITEBYTECODE=
-
- emake test EXTRATESTOPTS="-u-network" CPPFLAGS= CFLAGS= LDFLAGS= < /dev/tty
- local result=$?
-
- for test in ${skipped_tests}; do
- mv "${T}/test_${test}.py" "${S}"/Lib/test
- done
-
- elog "The following tests have been skipped:"
- for test in ${skipped_tests}; do
- elog "test_${test}.py"
- done
-
- elog "If you would like to run them, you may:"
- elog "cd '${EPREFIX}/usr/lib/python${PYVER}/test'"
- elog "and run the tests separately."
-
- if [[ ${result} -ne 0 ]]; then
- die "emake test failed"
- fi
-}
-
-src_install() {
- local libdir=${ED}/usr/lib/python${PYVER}
-
- emake DESTDIR="${D}" altinstall
-
- # Remove static library
- rm "${ED}"/usr/$(get_libdir)/libpython*.a || die
-
- sed \
- -e "s/\(CONFIGURE_LDFLAGS=\).*/\1/" \
- -e "s/\(PY_LDFLAGS=\).*/\1/" \
- -i "${libdir}/config-${PYVER}"*/Makefile || die "sed failed"
-
- # Fix collisions between different slots of Python.
- rm "${ED}/usr/$(get_libdir)/libpython3.so" || die
-
- # Cheap hack to get version with ABIFLAGS
- local abiver=$(cd "${ED}/usr/include"; echo python*)
- if [[ ${abiver} != python${PYVER} ]]; then
- # Replace python3.X with a symlink to python3.Xm
- rm "${ED}/usr/bin/python${PYVER}" || die
- dosym "${abiver}" "/usr/bin/python${PYVER}"
- # Create python3.X-config symlink
- dosym "${abiver}-config" "/usr/bin/python${PYVER}-config"
- # Create python-3.5m.pc symlink
- dosym "python-${PYVER}.pc" "/usr/$(get_libdir)/pkgconfig/${abiver/${PYVER}/-${PYVER}}.pc"
- fi
-
- # python seems to get rebuilt in src_install (bug 569908)
- # Work around it for now.
- if has_version dev-libs/libffi[pax_kernel]; then
- pax-mark E "${ED}/usr/bin/${abiver}"
- else
- pax-mark m "${ED}/usr/bin/${abiver}"
- fi
-
- use sqlite || rm -r "${libdir}/"{sqlite3,test/test_sqlite*} || die
- use tk || rm -r "${ED}/usr/bin/idle${PYVER}" "${libdir}/"{idlelib,tkinter,test/test_tk*} || die
-
- use wininst || rm "${libdir}/distutils/command/"wininst-*.exe || die
-
- dodoc Misc/{ACKS,HISTORY,NEWS}
-
- if use examples; then
- docinto examples
- find Tools -name __pycache__ -exec rm -fr {} + || die
- dodoc -r Tools
- fi
- insinto /usr/share/gdb/auto-load/usr/$(get_libdir) #443510
- local libname=$(printf 'e:\n\t@echo $(INSTSONAME)\ninclude Makefile\n' | \
- emake --no-print-directory -s -f - 2>/dev/null)
- newins "${S}"/Tools/gdb/libpython.py "${libname}"-gdb.py
-
- newconfd "${FILESDIR}/pydoc.conf" pydoc-${PYVER}
- newinitd "${FILESDIR}/pydoc.init" pydoc-${PYVER}
- sed \
- -e "s:@PYDOC_PORT_VARIABLE@:PYDOC${PYVER/./_}_PORT:" \
- -e "s:@PYDOC@:pydoc${PYVER}:" \
- -i "${ED}/etc/conf.d/pydoc-${PYVER}" \
- "${ED}/etc/init.d/pydoc-${PYVER}" || die "sed failed"
-
- local -x EPYTHON=python${PYVER}
- # if not using a cross-compiler, use the fresh binary
- if ! tc-is-cross-compiler; then
- local -x PYTHON=./python
- local -x LD_LIBRARY_PATH=${LD_LIBRARY_PATH+${LD_LIBRARY_PATH}:}${PWD}
- else
- local -x PYTHON=${EPREFIX}/usr/bin/${EPYTHON}
- fi
-
- echo "EPYTHON='${EPYTHON}'" > epython.py || die
- python_domodule epython.py
-
- # python-exec wrapping support
- local pymajor=${PYVER%.*}
- local scriptdir=${D}$(python_get_scriptdir)
- mkdir -p "${scriptdir}" || die
- # python and pythonX
- ln -s "../../../bin/${abiver}" \
- "${scriptdir}/python${pymajor}" || die
- ln -s "python${pymajor}" "${scriptdir}/python" || die
- # python-config and pythonX-config
- # note: we need to create a wrapper rather than symlinking it due
- # to some random dirname(argv[0]) magic performed by python-config
- cat > "${scriptdir}/python${pymajor}-config" <<-EOF || die
- #!/bin/sh
- exec "${abiver}-config" "\${@}"
- EOF
- chmod +x "${scriptdir}/python${pymajor}-config" || die
- ln -s "python${pymajor}-config" \
- "${scriptdir}/python-config" || die
- # 2to3, pydoc, pyvenv
- ln -s "../../../bin/2to3-${PYVER}" \
- "${scriptdir}/2to3" || die
- ln -s "../../../bin/pydoc${PYVER}" \
- "${scriptdir}/pydoc" || die
- ln -s "../../../bin/pyvenv-${PYVER}" \
- "${scriptdir}/pyvenv" || die
- # idle
- if use tk; then
- ln -s "../../../bin/idle${PYVER}" \
- "${scriptdir}/idle" || die
- fi
-}
-
-pkg_preinst() {
- if has_version "<${CATEGORY}/${PN}-${PYVER}" && ! has_version ">=${CATEGORY}/${PN}-${PYVER}_alpha"; then
- python_updater_warning="1"
- fi
-}
-
-eselect_python_update() {
- if [[ -z "$(eselect python show)" || \
- ! -f "${EROOT}/usr/bin/$(eselect python show)" ]]; then
- eselect python update
- fi
-
- if [[ -z "$(eselect python show --python${PV%%.*})" || \
- ! -f "${EROOT}/usr/bin/$(eselect python show --python${PV%%.*})" ]]
- then
- eselect python update --python${PV%%.*}
- fi
-}
-
-pkg_postinst() {
- eselect_python_update
-
- if [[ "${python_updater_warning}" == "1" ]]; then
- ewarn "You have just upgraded from an older version of Python."
- ewarn
- ewarn "Please adjust PYTHON_TARGETS (if so desired), and run emerge with the --newuse or --changed-use option to rebuild packages installing python modules."
- fi
-}
-
-pkg_postrm() {
- eselect_python_update
-}
diff --git a/metadata/pkg_desc_index b/metadata/pkg_desc_index
index abc65f38..a97c2e18 100644
--- a/metadata/pkg_desc_index
+++ b/metadata/pkg_desc_index
@@ -21,6 +21,8 @@ app-emacs/mv_emacs 1.3: (X)Emacs extensions: block support, macrorecorder, verif
app-eselect/eselect-net 0.2-r1: eselect module for managing network open-rc service configurations
app-misc/knapsack 7.2.1-r1: A fast solver for the 0/1-knapsack problem with multiple knapsacks
app-misc/machine-learning-mv 1.2-r1: Some machine learning experiments
+app-misc/resolve-march-native 0.9.4: Resolve GCC flag -march=native
+app-mobilephone/adb-sync 0_p20181127-r1: Synchronize files between a PC and an Android device using ADB
app-portage/changelog-gitrepo 1.0: Create ChangeLog data for gentoo repositories from git
app-portage/eix 0.34.4 99999999: Search and query ebuilds
app-portage/etcat 1.0.2 99999999: Updated version of an old Portage information extractor
@@ -52,7 +54,6 @@ app-text/podofo 0.9.6_p20190928: PoDoFo is a C++ library to work with the PDF fi
app-text/psjoin 0.3: concatenate postscript files. From new PostScript Utilities
app-text/stardict 3.0.6-r4 4.0.0_pre20170304: A international dictionary supporting fuzzy and glob style matching
dev-cpp/cpplint 99999999: The google styleguide together with cpplint and an emacs file
-dev-lang/python 3.7.8-r1: An interpreted, interactive, object-oriented programming language
dev-libs/osformat 1.0.6 999999999: C++ library for a typesafe printf/sprintf based on << conversion
dev-libs/weston 5.0.0-r1 8.0.0: Wayland reference compositor
dev-perl/File-lchown 0.20-r1: Use the lchown(2) and lutimes(2) system call from Perl
@@ -136,4 +137,5 @@ www-plugins/translate-to-me 1.1: Firefox webextension: translate the selected te
www-plugins/ublock-origin 1.17.2: Firefox webextension: An efficient list-based blocker
x11-libs/gtk+ 2.24.32-r1 3.24.21: Gimp ToolKit +
x11-libs/motif 2.3.8-r1: The Motif user interface component toolkit
+x11-misc/redshift 1.12-r3: A screen color temperature adjusting software
x11-themes/fvwm-crystal 3.4.1-r2 3.6.2: Configurable FVWM theme with transparency and freedesktop compatible menu
diff --git a/net-dns/host/host-20070128-r1.ebuild b/net-dns/host/host-20070128-r1.ebuild
index f477f3f0..45b39bc4 100644
--- a/net-dns/host/host-20070128-r1.ebuild
+++ b/net-dns/host/host-20070128-r1.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2018 Gentoo Authors and Martin V\"ath
+# Copyright 1999-2020 Gentoo Authors and Martin V\"ath
# Distributed under the terms of the GNU General Public License v2
EAPI=7
@@ -23,7 +23,7 @@ src_prepare() {
eapply -p0 "${FILESDIR}/${P}-Makefile.patch"
sed -i -e "s:^\(# if defined(__alpha).*\):\1 || defined(__x86_64__):" \
port.h || die "sed failed"
- defalut
+ default
}
src_compile() {
diff --git a/profiles/use.local.desc b/profiles/use.local.desc
index f38b6ea8..001dc1db 100644
--- a/profiles/use.local.desc
+++ b/profiles/use.local.desc
@@ -3,6 +3,7 @@
# * generated automatically using egencache *
app-cdr/cdrtools:schily-tools - Use libschily from app-shells/schily-tools
+app-mobilephone/adb-sync:channel - Install the adb-channel script
app-portage/eix:debug - Build with upstream's CXXFLAGS/LDFLAGS for debugging support; not recommended for normal use.
app-portage/eix:dep - Make DEP=true the default which enables support for {,R,P,B}DEPEND but requires roughly double disk and memory.
app-portage/eix:doc - Create description of the eix cache file additionally in html format
@@ -216,3 +217,4 @@ x11-libs/gtk+:broadway - Enable the GDK Broadway backend.
x11-libs/gtk+:cloudprint - Enable printing via Google Cloud Print.
x11-libs/gtk+:colord - Use x11-misc/colord for color management in printing
x11-libs/motif:motif22-compatibility - Compatibility with Open Motif 2.2
+x11-misc/redshift:geoclue - Control dependency on app-misc/geoclue
diff --git a/x11-misc/redshift/Manifest b/x11-misc/redshift/Manifest
new file mode 100644
index 00000000..f69f2521
--- /dev/null
+++ b/x11-misc/redshift/Manifest
@@ -0,0 +1 @@
+DIST redshift-1.12.tar.gz 659019 SHA512 6763f6964b577fc146191af1c67a283a60df5bbdd3a74bfc94f66d5f9f3bef8835a479c6ec8a648b650b83a0e245928884a0f628606ace8c3f58d8319d35036f
diff --git a/x11-misc/redshift/metadata.xml b/x11-misc/redshift/metadata.xml
new file mode 100644
index 00000000..fbfb697d
--- /dev/null
+++ b/x11-misc/redshift/metadata.xml
@@ -0,0 +1,17 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer type="person">
+ <email>sping@gentoo.org</email>
+ </maintainer>
+ <maintainer type="project">
+ <email>desktop-misc@gentoo.org</email>
+ <name>Gentoo Desktop Miscellaneous Project</name>
+ </maintainer>
+ <use>
+ <flag name="geoclue">Control dependency on <pkg>app-misc/geoclue</pkg></flag>
+ </use>
+ <upstream>
+ <remote-id type="github">jonls/redshift</remote-id>
+ </upstream>
+</pkgmetadata>
diff --git a/x11-misc/redshift/redshift-1.12-r3.ebuild b/x11-misc/redshift/redshift-1.12-r3.ebuild
new file mode 100644
index 00000000..00ab3760
--- /dev/null
+++ b/x11-misc/redshift/redshift-1.12-r3.ebuild
@@ -0,0 +1,88 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+PYTHON_COMPAT=( python3_{6,7,8,9} )
+
+inherit systemd autotools eutils gnome2-utils python-r1
+
+DESCRIPTION="A screen color temperature adjusting software"
+HOMEPAGE="http://jonls.dk/redshift/"
+SRC_URI="https://github.com/jonls/redshift/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="GPL-3"
+SLOT="0"
+KEYWORDS="amd64 arm64 x86"
+IUSE="appindicator geoclue gtk nls"
+
+COMMON_DEPEND=">=x11-libs/libX11-1.4
+ x11-libs/libXxf86vm
+ x11-libs/libxcb
+ x11-libs/libdrm
+ appindicator? ( dev-libs/libappindicator:3[introspection] )
+ geoclue? ( app-misc/geoclue:2.0 dev-libs/glib:2 )
+ gtk? ( ${PYTHON_DEPS} )"
+RDEPEND="${COMMON_DEPEND}
+ gtk? ( dev-python/pygobject[${PYTHON_USEDEP}]
+ x11-libs/gtk+:3[introspection]
+ dev-python/pyxdg[${PYTHON_USEDEP}] )"
+DEPEND="${COMMON_DEPEND}
+ >=dev-util/intltool-0.50
+ nls? ( sys-devel/gettext )
+"
+BDEPEND=${DEPEND}
+REQUIRED_USE="gtk? ( ${PYTHON_REQUIRED_USE} )"
+
+src_prepare() {
+ default
+ eautoreconf
+}
+
+src_configure() {
+ use gtk && python_setup
+
+ econf \
+ $(use_enable nls) \
+ --enable-drm \
+ --enable-randr \
+ --enable-vidmode \
+ --disable-wingdi \
+ \
+ --disable-corelocation \
+ $(use_enable geoclue geoclue2) \
+ \
+ $(use_enable gtk gui) \
+ --with-systemduserunitdir="$(systemd_get_userunitdir)" \
+ --enable-apparmor \
+ --disable-quartz \
+ --disable-ubuntu
+}
+
+_impl_specific_src_install() {
+ emake DESTDIR="${D}" pythondir="$(python_get_sitedir)" \
+ -C src/redshift-gtk install
+}
+
+src_install() {
+ emake DESTDIR="${D}" UPDATE_ICON_CACHE=/bin/true install
+
+ if use gtk; then
+ python_foreach_impl _impl_specific_src_install
+ python_replicate_script "${D}"/usr/bin/redshift-gtk
+ dosym redshift-gtk /usr/bin/gtk-redshift
+
+ python_foreach_impl python_optimize
+ fi
+}
+
+pkg_preinst() {
+ use gtk && gnome2_icon_savelist
+}
+
+pkg_postinst() {
+ use gtk && gnome2_icon_cache_update
+}
+
+pkg_postrm() {
+ use gtk && gnome2_icon_cache_update
+}